I=(S=Uno.Ray = function(){
    this.Position = new Uno.Float3;
    this.Direction = new Uno.Float3;
}).prototype;

I.ToString = function()
{
    return "Uno.Ray";
};

I.GetHashCode = function()
{
    return 0;
};

S.$0 = function(pos, dir) {
    var $this = new Uno.Ray;
    $this.Position = pos;
    $this.Direction = dir;
    return $this;
};
